**`Sai Krishna Ramineni`[NAME]** -NL- Email: **`ramineni.saikrishna92@gmail.com`[EMAILS_EMAIL]** -NL- Phone # **`304 376 3626`[PHONES_PHONE]** -NL- • Experience in writing Machine Learning algorithms, natural language processing and their -NL- enterprise applications -NL- • Experience in creating Models with computer vision for data extraction and rendering. -NL- • Experience in designing conversational applications with artificial intelligence for business -NL- requirements -NL- • Certified Professional Java Programmer with experience in building custom applications -NL- meeting client requirements -NL- • Knowledge of Answer set programming with proficiency in Clingo language for difficult -NL- search problems -NL- • Knowledge of Big Data, Hadoop clusters, Hive, PIG and MapReduce. -NL- • Experience in services development in python language with knowledge of Django and -NL- flask frameworks -NL- • Good understanding of Software development process and Software development life -NL- cycle -NL- • Knowledge in creating REST services for all CRUD operations -NL- • Good experience in development process involving architectural changes such as changing -NL- Database from oracle to Mongo. -NL- • Experience in developing applications integrating with MongoDB and Elastic Search -NL- • Good Experience in development of iterative and detailed project management plans and -NL- schedules using Agile-Scrum methodology -NL- • Good experience in using defect management tools such as Rally and Quality Center -NL- **`TECHNICAL SKILLS`[SKILLS_HEADING]** -NL- Languages -NL- Python, Java, Clingo -NL- Development Tools -NL- Eclipse IDE, IntelliJ IDE, Spyder, Atom, PyTorch, Tensorflow, -NL- Dialog Flow, Mind Meld, Flask, Django, Tableu -NL- Cloud Platforms & Related GCP, AWS, Docker, VM, Anaconda -NL- tools -NL- Web services & Related Tools SOAP, RESTful services, SOAP UI, Rest client, POSTMAN -NL- Operating System -NL- Windows, UNIX, Linux -NL- Databases & Related Tools MongoDB, Oracle 12c, SQL Developer, Robo Mongo, Mongo Chef, -NL- TOAD -NL- Other Tools -NL- Kibana, Splunk, MS-Word, Excel, MS-Access, Power Point, Putty, -NL- smart sheet, Big Data, Hive, PIG, MapReduce -NL- **`Education:`[EDUCATION_HEADING]** -NL- • **`Master of Science`[EDUCATION_DEGREE]** with **`emphasis`[EDUCATION_INSTITUTE]** in **`Electrical Engineering`[EDUCATION_COURSE]** at West Virginia -NL- University -NL- • **`Bachelor of technology`[EDUCATION_DEGREE]** with specialization in Electronics and Communications at **`K L -NL- University in India`[EDUCATION_INSTITUTE]** -NL- **`Work Experience:`[WORK_EXPERIENCE_HEADING]** -NL- **`Cisco Systems Inc`[EMPLOYER_COMPANY_NAME]**., San Jose -NL- November 2015 – Present -NL- **`I-Cloud Consulting Services -NL- Software Engineer / Machine Learning`[EMPLOYER_ROLE]** -NL- • Development of Machine learning model to identify fraud detection and misuse of free -NL- subscription of Webex teams -NL- • Development of recommendation system to recommend commonly bought configurations -NL- for cisco products and frequently bought together products for business upsell. -NL- • Development of conversational bots integrated across multiple platforms in cisco -NL- commerce using Java and machine learning -NL- • Development of a Computer Vision Model to convert fax orders into digital orders using -NL- google proto models in combination with NLP. -NL- • Development of services for exposing the machine learning model in python with Django -NL- framework to the cross-platform applications -NL- • Deployment of code to cloud platform GCP with Docker setup -NL- • Learning latest improvements in rapidly evolving Artificial Intelligence and keeping the -NL- systems updated with new trends -NL- • Creating collections and indexing in MongoDB to store and maintain the data required for -NL- transactional operations -NL- • Training the Dialog flow model with different user phrases to identify the intent of the user -NL- query and identifying the key terms -NL- • Develop and train different models (CNN, R-CNN, Faster R-CNN, SSD) to determine the -NL- best model for the technical requirement -NL- • Automating the flow by creating a web service on top of the train models to interact with -NL- front end systems for novice users to evaluate the models without any technical knowledge -NL- • Implementing the application under Agile development methodology -NL- • Perform data engineering to clean the data and make it model ready using feature -NL- engineering and evaluation -NL- • Creating data pipelines to stream line the data from the front end to the model compatible -NL- data -NL- • Implementing the operating systems on different servers and integrating GPUs to deploy -NL- the developed models -NL- • Maintain code and all related artifacts in source control systems (GIT), perform code -NL- merges and resolve conflicts -NL- • Designed a chat bot that handles user queries and helps them in managing their profile -NL- • Chat bot was designed initially with Dialog Flow and python, it was later integrated with -NL- cisco spark over Java -NL- • Single handedly designed an automation tool in java to test the business to business flow -NL- completely -NL- • Implemented shadow run where we test the code in development with the data in -NL- production and compare it existing system -NL- • Created custom applications to compare data flow across mongo collections and oracle -NL- tables -NL- • Developed XML and JSON Comparators to compare the responses sent out to the partners -NL- • Created dashboard in KIBANA for the elastic index so that it is user friendly and easily -NL- accessible -NL- • Part of the team which implemented MongoDB for the first time in cisco -NL- • Exception monitoring of the JVMS in SPLUNK and debugging the issues from logs in -NL- KIBANA -NL- • Involved in migrating the database from Oracle to Mongo and designed a tool to check the -NL- sync happening between the two data bases -NL- • Actively involved in discussions regarding the architectural changes from Oracle to -NL- Mongo and necessary actions to be performed for smoother transition -NL- **`SSS Solutions`[EMPLOYER_COMPANY_NAME]**, Atlanta -NL- July 2015 - November 2015 -NL- **`Software Developer Intern`[EMPLOYER_ROLE]** -NL- • Used Java technologies to build web applications for client -server communications -NL- • Worked in all phases of Software development life cycle and core Java technologies to -NL- create web application that meet client requirements -NL- • Learned a lot in ecommerce design and architecture for efficient and robust platform -NL- • Analyzing the business requirement documents and learning the business requirement -NL- gathering -NL- • Documenting the workflows and validating the flows with unit test cases -NL- • Used Java and J2EE technologies to add functionalities to existing application under -NL- supervision -NL- • Worked on spring and hibernate frameworks and creating annotations to assist in -NL- faster and efficient coding -NL- • Develop rest services to expose data to cross track implementations -NL- • Worked in a team of web developers, analysts and designers under a scrum -NL- methodology and quick sprint releases -NL- • Used Maven Script for building and deploying the application in web/app server -NL- • Designed and developed APIS with all CRUD capabilities using REST -NL- • Writing JUNIT Test cases with mock libraries for validating the code -NL- • Deploying the applications to cloud platforms -NL- • Worked on backend layer of the application to interact with the database and elastic -NL- servers for fetching data -NL- • Worked on creating data pipelines between different systems involved in the -NL- application to be consumed by various cross track teams -NL- 